Отключение примыкания стен с обоих концов

Главная Форумы Задать вопрос Отключение примыкания стен с обоих концов

В этой теме 2 ответа, 2 участника, последнее обновление  txt 2 нед., 6 дн. назад.

Просмотр 3 сообщений - с 1 по 3 (из 3 всего)
  • Автор
    Сообщения
  • #7331 Score: 0

    olexandr
    Участник

    Пробую в динамо написать скрипт чтоб по выбранному типу стен было отключено примыкание с обоих концов?
    нашел Walls.DisallowJoinAtEnd, но не знаю как использовать

    #7335 Score: 1

    txt
    Модератор
    86 pts

    Выбираете нужные стены:

    Запускаете скрипт:

    import clr
    clr.AddReference("RevitServices")
    import RevitServices
    from RevitServices.Persistence import DocumentManager
    doc = DocumentManager.Instance.CurrentDBDocument
    clr.AddReference("RevitAPI")
    import Autodesk
    from Autodesk.Revit.DB import *
    OUT=[[WallUtils.DisallowWallJoinAtEnd(i, 1), WallUtils.DisallowWallJoinAtEnd(i, 0)] for i in UnwrapElement(IN[0])]

    Результат:

    #7336 Score: 2

    txt
    Модератор
    86 pts

    p.s.
    обратная задача выполняется уже в транзакции:

    import clr
    clr.AddReference("RevitServices")
    import RevitServices
    from RevitServices.Persistence import DocumentManager
    from RevitServices.Transactions import TransactionManager
    doc = DocumentManager.Instance.CurrentDBDocument
    clr.AddReference("RevitAPI")
    import Autodesk
    from Autodesk.Revit.DB import *
    TransactionManager.Instance.EnsureInTransaction(doc)
    OUT=[[WallUtils.AllowWallJoinAtEnd(i, 1), WallUtils.AllowWallJoinAtEnd(i, 0)] for i in UnwrapElement(IN[0]) ]
    TransactionManager.Instance.TransactionTaskDone()

Просмотр 3 сообщений - с 1 по 3 (из 3 всего)

Для ответа в этой теме необходимо авторизоваться.